aboutsummaryrefslogtreecommitdiffstats
path: root/debian
diff options
context:
space:
mode:
authorJörg Mayer <jmayer@loplof.de>2006-07-28 04:04:55 +0000
committerJörg Mayer <jmayer@loplof.de>2006-07-28 04:04:55 +0000
commit3c9b213e8a705343d9a019ce9395ecb37db3d116 (patch)
tree5e9cac40aefabcc11c0d2177bfcc4494cab00894 /debian
parent663018f3474e3da2d5dbdb5f023ecb6114cb00f1 (diff)
Forgot to check in the new files during last commit.
svn path=/trunk/; revision=18803
Diffstat (limited to 'debian')
-rw-r--r--debian/patches/08_wireshark-desktop-menu.dpatch35
-rw-r--r--debian/patches/09_idl2wrs.dpatch57
-rw-r--r--debian/patches/10_wireshark_gen.dpatch19
3 files changed, 111 insertions, 0 deletions
diff --git a/debian/patches/08_wireshark-desktop-menu.dpatch b/debian/patches/08_wireshark-desktop-menu.dpatch
new file mode 100644
index 0000000000..e2fd199104
--- /dev/null
+++ b/debian/patches/08_wireshark-desktop-menu.dpatch
@@ -0,0 +1,35 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 08_wireshark-desktop-menu.dpatch by <fred@candle>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad wireshark-0.99.2~/wireshark.desktop wireshark-0.99.2/wireshark.desktop
+--- wireshark-0.99.2~/wireshark.desktop 2006-07-17 22:00:04.000000000 +0200
++++ wireshark-0.99.2/wireshark.desktop 2006-07-18 22:05:40.000000000 +0200
+@@ -6,7 +6,7 @@
+ Type=Application
+ Version=1.0
+ Encoding=UTF-8
+-Name=Ethereal
++Name=Wireshark
+ Name[ko]=이더리얼
+ Name[ta]=®¾Ã¢Âø
+ Name[uk]=Ефемерність
+@@ -72,13 +72,13 @@
+ Comment[fi]=Verkkoliikenne analysaattori
+ Comment[fr]=Analyseur de trafic réseau
+ Comment[sv]=Nätverkstrafikanalysator
+-Icon=wireshark.png
++Icon=hi48-app-wireshark.png
+ TryExec=wireshark
+ Exec=wireshark
+ Path=
+ Terminal=false
+ MimeType=
+-Categories=Application;GTK;Network;X-Red-Hat-Extra;
++Categories=GNOME;Application;Network;
+ # Found in Suse 9.1:
+ X-KDE-SubstituteUID=true
+ # Deprecated:
diff --git a/debian/patches/09_idl2wrs.dpatch b/debian/patches/09_idl2wrs.dpatch
new file mode 100644
index 0000000000..11a838fc3e
--- /dev/null
+++ b/debian/patches/09_idl2wrs.dpatch
@@ -0,0 +1,57 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 09_idl2wrs.dpatch by <fpeters@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad wireshark-0.99.2~/tools/idl2wrs.sh wireshark-0.99.2/tools/idl2wrs.sh
+--- wireshark-0.99.2~/tools/idl2wrs.sh 2006-07-18 22:53:59.000000000 +0200
++++ wireshark-0.99.2/tools/idl2wrs.sh 2006-07-18 22:57:54.000000000 +0200
+@@ -1,4 +1,4 @@
+-#! @SHELL@
++#! /bin/sh
+ #
+ # $Id: idl2wrs.sh 18271 2006-05-31 19:12:15Z gerald $
+ #
+@@ -48,40 +48,6 @@
+ exit 1;
+ fi
+
+-#
+-# Run wireshark backend, looking for wireshark_be.py and wireshark_gen.py
+-# in pythons's "site-packages" directory. If cannot find that, then
+-# try looking in current directory. If still cannot, then exit with
+-# error.
+-
+-if [ -f $PYTHONPATH/site-packages/wireshark_be.py ] && [ -f $PYTHONPATH/site-packages/wireshark_gen.py ]; then
+- exec omniidl -p $PYTHONPATH/site-packages -b wireshark_be $@
+- /* not reached */
+-fi
+-
+-# Try current directory.
+-
+-if [ -f ./wireshark_be.py ] && [ -f ./wireshark_gen.py ]; then
+- exec omniidl -p ./ -b wireshark_be $@
+- /* not reached */
+-fi
+-
+-# Could not find both wireshark_be.py AND wireshark_gen.py
+-# So let's just try to run it without -p, hoping that the installation
+-# set up a valid path.
+
+ exec omniidl -b wireshark_be $@
+
+-old code: not reached
+-
+-echo "idl2wrs Error: Could not find both wireshark_be.py AND wireshark_gen.py."
+-echo "Please ensure you have the PYTHONPATH variable set, or that wireshark_be.py "
+-echo "and wireshark_gen.py exist in the current directory. "
+-echo
+-echo "On this system, PYTHONPATH is : $PYTHONPATH"
+-echo
+-
+-exit 2
+-
+-
+-
diff --git a/debian/patches/10_wireshark_gen.dpatch b/debian/patches/10_wireshark_gen.dpatch
new file mode 100644
index 0000000000..eb19419490
--- /dev/null
+++ b/debian/patches/10_wireshark_gen.dpatch
@@ -0,0 +1,19 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 10_wireshark_gen.dpatch by <fpeters@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+@DPATCH@
+diff -urNad --exclude=CVS --exclude=.svn ./wireshark_gen.py /tmp/dpep-work.vCo5MH/wireshark-0.10.11/wireshark_gen.py
+--- ./tools/wireshark_gen.py 2005-07-17 19:42:15.000000000 +0200
++++ /tmp/dpep-work.vCo5MH/wireshark-0.10.11/ools/wireshark_gen.py 2005-07-17 19:42:34.000000000 +0200
+@@ -2188,7 +2188,8 @@
+ #include <glib.h>
+ #include <epan/packet.h>
+ #include <epan/proto.h>
+ #include <epan/dissectors/packet-giop.h>
++#include <plugins/plugin_api_defs.h>
+
+ #ifndef ENABLE_STATIC
+ G_MODULE_EXPORT const gchar version[] = "0.0.1";